import javax.microedition.lcdui.*;

public class HelpForm extends Form implements CommandListener { 
    ReaderCanvas canvas;
    Displayable  parent;

    HelpForm(ReaderCanvas canvas, Displayable parent) { 
        super(Locale.HELP);
        this.canvas = canvas;
        this.parent = parent;
        addCommand(BookReader.BACK_CMD);
        append(Locale.HELP_TEXT);
        setCommandListener(this);
        Display.getDisplay(canvas.reader).setCurrent(this);
    }

    public void commandAction(Command c, Displayable d) {
        Display.getDisplay(canvas.reader).setCurrent(parent);
    }
}


