public class Bookmark { 
    int    id;
    int    pos;
    String name;

    byte[] pack() { 
        byte[] nameBytes = Converter.packString(name);
        byte[] record = new byte[nameBytes.length + 4];
        Converter.packInt(record, 0, pos);
        System.arraycopy(nameBytes, 0, record, 4, nameBytes.length);
        return record;
    }
    
    void unpack(byte[] record) { 
        pos = Converter.unpackInt(record, 0);
        name = Converter.unpackString(record, 4, record.length-4);
    }
    
    Bookmark(int id, byte[] record) { 
        this.id = id;
        unpack(record);
    }

    Bookmark(int pos, String name) { 
        this.pos = pos;
        this.name = name;
    }
}
   