import javax.microedition.lcdui.*;


public class SystemFontWrapper implements IFont {  
    SystemFontWrapper(Font font) { 
        this.font = font;
    }

    public void drawString(Graphics g, int x, int y, String s) { 
        g.setFont(font);
        g.drawString(s, x, y, Graphics.LEFT | Graphics.TOP);
    }

    public int charWidth(char ch) { 
        return font.charWidth(ch);
    }

    public int getHeight() { 
        return font.getHeight();
    }

    Font font;
}
        